Payment Methods
Create a payment method
POST
/
api
/
v2
/
payment-methods
Create a payment method
curl --request POST \
--url https://api.itemshop.dev/api/v2/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "imojeTransfer",
"displayName": "imoje",
"shopId": "664f1a2b3c4d5e6f7a8b9c0d",
"config": {
"MERCHANT_ID": "...",
"SERVICE_KEY": "...",
"SANDBOXMODE": true
},
"fees": {
"percentage": 1.9,
"fixedAmount": 0.3,
"minimumFee": 0.3
},
"channelFees": [
{
"channel": "blik",
"percentage": 1.5,
"minimumFee": 0.2
}
],
"channels": [
{
"channel": "blik",
"displayName": "BLIK",
"icon": "<string>",
"active": true
}
],
"currencies": [
"PLN"
],
"defaultCurrency": "PLN",
"limits": {
"minAmount": 1,
"maxAmount": 9999
},
"commission": {
"enabled": true,
"percentage": 1.5,
"amount": 0.5
},
"flags": {
"logErrors": true,
"disabled": true,
"allowCurrencyConversion": true,
"blockPromotions": true,
"blockPromoCodes": true
},
"testMode": true,
"assignToAllProducts": true
}
'import requests
url = "https://api.itemshop.dev/api/v2/payment-methods"
payload = {
"name": "imojeTransfer",
"displayName": "imoje",
"shopId": "664f1a2b3c4d5e6f7a8b9c0d",
"config": {
"MERCHANT_ID": "...",
"SERVICE_KEY": "...",
"SANDBOXMODE": True
},
"fees": {
"percentage": 1.9,
"fixedAmount": 0.3,
"minimumFee": 0.3
},
"channelFees": [
{
"channel": "blik",
"percentage": 1.5,
"minimumFee": 0.2
}
],
"channels": [
{
"channel": "blik",
"displayName": "BLIK",
"icon": "<string>",
"active": True
}
],
"currencies": ["PLN"],
"defaultCurrency": "PLN",
"limits": {
"minAmount": 1,
"maxAmount": 9999
},
"commission": {
"enabled": True,
"percentage": 1.5,
"amount": 0.5
},
"flags": {
"logErrors": True,
"disabled": True,
"allowCurrencyConversion": True,
"blockPromotions": True,
"blockPromoCodes": True
},
"testMode": True,
"assignToAllProducts": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'imojeTransfer',
displayName: 'imoje',
shopId: '664f1a2b3c4d5e6f7a8b9c0d',
config: {MERCHANT_ID: '...', SERVICE_KEY: '...', SANDBOXMODE: true},
fees: {percentage: 1.9, fixedAmount: 0.3, minimumFee: 0.3},
channelFees: [{channel: 'blik', percentage: 1.5, minimumFee: 0.2}],
channels: [{channel: 'blik', displayName: 'BLIK', icon: '<string>', active: true}],
currencies: ['PLN'],
defaultCurrency: 'PLN',
limits: {minAmount: 1, maxAmount: 9999},
commission: {enabled: true, percentage: 1.5, amount: 0.5},
flags: {
logErrors: true,
disabled: true,
allowCurrencyConversion: true,
blockPromotions: true,
blockPromoCodes: true
},
testMode: true,
assignToAllProducts: true
})
};
fetch('https://api.itemshop.dev/api/v2/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "664f1a2b3c4d5e6f7a8b9c0d",
"name": "imojeTransfer",
"displayName": "imoje",
"shopId": "664f1a2b3c4d5e6f7a8b9c0d",
"isActive": true,
"fees": {
"percentage": 1.9,
"minimumFee": 123
}
},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Provider name (e.g. imojeTransfer, zen)
Example:
"imojeTransfer"
Display name
Required string length:
1 - 100Example:
"imoje"
Shop ID (ObjectId)
Pattern:
^[0-9a-fA-F]{24}$Example:
"664f1a2b3c4d5e6f7a8b9c0d"
Provider config (API keys, etc.)
Example:
{
"MERCHANT_ID": "...",
"SERVICE_KEY": "...",
"SANDBOXMODE": true
}
Fees
Show child attributes
Show child attributes
Per-channel fees
Show child attributes
Show child attributes
Payment channels
Show child attributes
Show child attributes
Supported currencies
Example:
["PLN"]
Default currency
Pattern:
^[A-Za-z]{3}$Example:
"PLN"
Amount limits
Show child attributes
Show child attributes
Operator commission
Show child attributes
Show child attributes
Gateway flags
Show child attributes
Show child attributes
Test mode
Assign this method to all existing products at the standard price
Was this page helpful?
⌘I
Create a payment method
